package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.TrafficAccidentComplete;
import com.lightinit.hsdatashow.entity.TrafficAccidentCompleteExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel2;
import org.apache.ibatis.annotations.Param;

public interface TrafficAccidentCompleteMapper {
    long countByExample(TrafficAccidentCompleteExample example);

    int deleteByExample(TrafficAccidentCompleteExample example);

    int deleteByPrimaryKey(Long id);

    int insert(TrafficAccidentComplete record);

    int insertSelective(TrafficAccidentComplete record);

    List<TrafficAccidentComplete> selectByExample(TrafficAccidentCompleteExample example);

    TrafficAccidentComplete selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") TrafficAccidentComplete record, @Param("example") TrafficAccidentCompleteExample example);

    int updateByExample(@Param("record") TrafficAccidentComplete record, @Param("example") TrafficAccidentCompleteExample example);

    int updateByPrimaryKeySelective(TrafficAccidentComplete record);

    int updateByPrimaryKey(TrafficAccidentComplete record);

    List<ChartModel2> getTrafficAccidentComplete();
}